Novosga\Entity\ServicoUnidade:
    type: entity
    table: servicos_unidades
    repositoryClass: App\Repository\ORM\ServicoUnidadeRepository
    id:
        servico:
            associationKey: true
        unidade:
            associationKey: true
    fields:
        sigla:
            type: string
            length: 3
            unique: false
            nullable: false
            precision: 0
        ativo:
            type: boolean
            nullable: false
        peso:
            type: smallint
            scale: 0
            length: null
            unique: false
            nullable: false
            precision: 0
        prioridade:
            type: boolean
            nullable: false
        numeroInicial:
            name: numero_inicial
            type: integer
            nullable: false
        numeroFinal:
            name: numero_final
            type: integer
            nullable: true
        incremento:
            type: integer
            nullable: false
        mensagem:
            type: string
            length: 255
            nullable: true
    manyToOne:
        servico:
            targetEntity: Novosga\Entity\Servico
            fetch: LAZY
            inversedBy: servicosUnidade
            joinColumns:
                servico_id:
                    referencedColumnName: id
            orphanRemoval: false
        unidade:
            targetEntity: Novosga\Entity\Unidade
            fetch: LAZY
            joinColumns:
                unidade_id:
                    referencedColumnName: id
            orphanRemoval: false
        local:
            targetEntity: Novosga\Entity\Local
            fetch: LAZY
            joinColumns:
                local_id:
                    referencedColumnName: id
            orphanRemoval: false
        departamento:
            targetEntity: Novosga\Entity\Departamento
            joinColumns:
                departamento_id:
                    referencedColumnName: id
    lifecycleCallbacks: {  }
